#!/usr/local/bin/perl
########################################################
# Missing values
#  SSJDA version file "x0191.TXT"
# 2008/02/23
########################################################

$, = $" = "\t";
$\ = "\n" ;

my @Name =();
my %Na = ();
my %Out = ();
my $name = '';
while(<>){
	if( /^(\w+)/ ){
		$name = $1 ;
		push @Name, $name;
		next;
	}
	
	if( /^\s+([\d.+-]+)[M ]+/ ){
		my $x = $1;
		warn( "Exist: NA for $name: $Na{$name}\n" ) if exists $Na{$name};
		$x =~ s/\.0+$//;
		$Na{$name} = $x;
		next;
	}
	
	if( /^\s+([\d.+-]+)[M ]+Y/ ){
		my $x = $1;
		warn( "Exist: OUT for $name: $Out{$name}\n" ) if exists $Out{$name};
		$x =~ s/\.0+$//;
		$Out{$name} = $x;
		next;
	}
}

foreach(@Name){
	print $_, $Out{$_}, $Na{$_};
}
